Skip to main content
GET
List monitors

Authorizations

Authorization
string
header
required

Bearer token used for request authentication. Alternatively, you can send the API key in the x-api-key header. Note: A payment method is required to use the API.

Query Parameters

status
enum<string>

Only return monitors with this status.

Available options:
active,
paused
limit
integer
default:20

Maximum number of monitors to return.

Required range: 1 <= x <= 100
cursor
string

The next_cursor from the previous response. Omit for the first page.

name
string

Filters monitors by name. Fuzzy, case-insensitive match.

page_no
integer

Page number, for page-based pagination. Mutually exclusive with cursor.

Required range: 1 <= x <= 10000

Response

Successful monitor list response

request_id
string
required

The unique identifier for this request.

code
integer

Business status code. 0 indicates success.

msg
string

A message describing the result.

data
object